package com.ted.weather.domain.commands

import com.ted.weather.domain.datasource.ForecastProvider
import com.ted.weather.domain.model.Forecast

class RequestDayForecastCommand(
        val id: Long,
        val forecastProvider: ForecastProvider = ForecastProvider()) :
        Command<Forecast> {

    override fun execute() = forecastProvider.requestForecast(id)
}