package com.ted.weather.domain.datasource

import com.ted.weather.domain.model.Forecast
import com.ted.weather.domain.model.ForecastList

interface ForecastDataSource {

    fun requestForecastByZipCode(zipCode: Long, date: Long): ForecastList?

    fun requestDayForecast(id: Long): Forecast?

}